Java$writeUTF {R.utils} | R Documentation

## Writes a string to a connection in Java format (UTF-8)

### Description

Writes a string to a connection in Java format (UTF-8) so it will be readable by Java. At the beginning of each UTF-8 sequence there is a short integer telling how many bytes (characters?) follows.

### Usage

    ## Static method (use this):
    ## Java$writeUTF(con, str, ...)

    ## Don't use the below:
    ## S3 method for class 'Java'
    writeUTF(static, con, str, ...)

### Arguments

`con` | Binary connection to be written to.
`str` | String to be written.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Java`.

[Package R.utils version 2.6.0 Index]